<?php

include_once($path_to_root . "/reporting/includes/pdf_report.inc");

class Ext_FrontReport extends FrontReport {

    function HeaderForm() {
        global $dflt_lang,$path_to_root; // FIXME should be passed as params

        $this->SetLang(@$this->formData['rep_lang'] ? $this->formData['rep_lang'] : $dflt_lang);

        $lang = user_language();
        $this->SetLang(@$this->formData['rep_lang'] ? $this->formData['rep_lang'] : ( $lang ? $lang : $dflt_lang));

        $this->formData['no'] = $this->formData['no'];
        $this->formData['date'] = $this->formData['date'];
        $this->formData['debtor_no'] = $this->formData['debtor_no'];
        $this->formData['debtor_name'] = $this->formData['debtor_name'];
        $this->formData['address'] = $this->formData['address'];
        
        include("HeaderForm.inc");

        $this->row = $temp;
    }

}
